#include <iostream>

using namespace std;

int main()
{
    int n;
    long long x,y;
    cin>>n;
    long long a[n][2];
    for(int i=0;i<n;i++)
    {
        cin>>a[i][0];
        cin>>a[i][1];
    }
    for(int i=0;i<n;i++)
    {
     for(long long j=1;(j*j)<=a[i][0];j++)
        {
            x=a[i][0]/j;
            if((x*j)==a[i][0])
            {
                y=j;

                if((x^y)==a[i][1])
                {
                    cout<<y<<" "<<x<<endl;
                    break;
                }
            }
            if(((j+1)*(j+1))>a[i][0])
                    cout<<-1<<endl;
        }
    }
    return 0;
}